Subject: Re: bug#27217: texlive is too big

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 20 Mar 2019 08:47:22 +0100

Ricardo Wurmus <[email-masked]> writes:

>> So TeX Live packages would use ‘texlive-fetch’ instead of ‘svn-fetch’ or
>> similar, right?
>>
>> If that’s the case, then merely computing the derivation of one of these
>> would require fetching the tldb database, which would be problematic.
>> Is this correct?
>
> I think there has been a misunderstanding here.  Pierre seems to be
> using the name “texlive-fetch” for two different things.

No, the "texlive-fetch" I meant was Ricardo's idea.  We are talking
about the same thing.

> The extraction of information from the plain text database (which is
> included with “texlive-bin”) is done “offline” when using the importer,
> i.e. when generating package definitions.

Exactly, I think this is the part that Ludovic misunderstood.

-- 
Pierre Neidhardt
https://ambrevar.xyz/